Subject: Re: [PATCH v2 13/27] ls-refs: introduce ls-refs server command

From: Brandon Williams <[email-masked]>
Date: Fri, 2 Feb 2018 14:31:54 -0800

On 01/26, Stefan Beller wrote:
> On Thu, Jan 25, 2018 at 3:58 PM, Brandon Williams <[email-masked]> wrote:
> 
> > +ls-refs takes in the following parameters wrapped in packet-lines:
> > +
> > +    symrefs
> > +       In addition to the object pointed by it, show the underlying ref
> > +       pointed by it when showing a symbolic ref.
> > +    peel
> > +       Show peeled tags.
> 
> Would it make sense to default these two to on, and rather have
> optional no-symrefs and no-peel ?
> 
> That would save bandwidth in the default case, I would think.

Maybe?  That would save sending those strings for each request

-- 
Brandon Williams